create grain author version '1.02';

CREATE TABLE serviceCatalog(
  catalogId INT NOT NULL,
  testSystemAddress VARCHAR(200) NOT NULL,
  link VARCHAR(200) NOT NULL,  
  CONSTRAINT pk_serviceCatalog PRIMARY KEY (catalogId)
);

CREATE TABLE subscribedServiceCatalog(
  catalogId INT NOT NULL,
  testSystemAddress VARCHAR(200) NOT NULL,
  link VARCHAR(200) NOT NULL,  
  CONSTRAINT pk_subscribedServiceCatalog PRIMARY KEY (catalogId)
);

CREATE TABLE eor_statuses(
	id varchar(36) not null,
	name varchar(255) not null,	
	CONSTRAINT pk_eor_statuses PRIMARY KEY (id)
);

create table eor_lectures(
  lecture_id  varchar(36) not null,
  lecture_name varchar(255) not null,	
  lecture_ref varchar(255) not null,	
  constraint pk_eor_lectures primary key (lecture_id)
);

create table eor_practical(
  practical_id  varchar(36) not null,
  practical_name varchar(255) not null,	
  practical_descr text,	
  constraint pk_eor_practical primary key (practical_id)
);
